Subject: [PATCH v2 1/2] gpio: Add driver for Zynq GPIO controller

From: [email-masked] (Baruch Siach)
Date: Fri, 11 Jul 2014 15:27:44 +0300

Hi Linus,

On Fri, Jul 11, 2014 at 02:06:29PM +0200, Linus Walleij wrote:
> On Fri, Jul 11, 2014 at 8:28 AM, Baruch Siach <[email-masked]> wrote:
> > On Tue, Jul 08, 2014 at 11:27:57AM +0200, Linus Walleij wrote:
> 
> >> What is the usecase here?
> >
> > During boot I need to know, for example, when an FPGA is ready to be
> > programmed, and when said FPGA has finished its initialization. I also read
> > the sate of on-board DIP switches to determine the desired boot method. I find
> > the current sysfs interface quite convenient for these and similar tasks.
> 
> So given that an FPGA is a piece of hardware, it should have its firmware
> loaded from the kernel and a kernel driver communicating with it I guess?
> 
> I feel the smell of a huge bundle of userspace drivers for something that
> should be handled by the kernel.

The FPGA can be loaded using simple SPI bit-banging, for which I used the 
userspace SPI interface. Nothing fancy, just a few hundred LoC. Kernel driver 
along with a userspace interface to be maintained forever for this task seems 
an overkill to me.

baruch

-- 
     http://baruch.siach.name/blog/                  ~. .~   Tk Open Systems
=}------------------------------------------------ooO--U--Ooo------------{=
   - baruch at tkos.co.il - tel: +972.2.679.5364, http://www.tkos.co.il -